/* MIS COTIZACIONES */

.xn_cuenta_contenedor {
    display: grid;
    width: calc(100% - 20px);
    padding: 10px;
    grid-template: auto / 200px 1fr;
    grid-template-areas: "cuenta_menu cuenta_panel";
}

.xn_cuenta_contenedor__menu {
    grid-area: cuenta_menu;
    display: grid;
    grid-template-areas: "mi_usuario" "mi_cuenta" " mis_usuarios" "mis_cotizaciones" "mis_pedidos" "mis_facturas" "mis_esd" "mis_comprobantes";
    grid-gap: 5px;
    padding: 5px;
    box-sizing: border-box;
    align-content: flex-start;
    background-color: #f5f5f5;
}

.xn_cuenta_contenedor__menu>div:not(.xn_cuenta_contenedor__menu-usuario):hover {
    background-color: rgba(49, 123, 255, 1.00);
    color: white;
    cursor: pointer;
}

.xn_cuenta_contenedor__menu>div {
    padding: 8px;
    transition: background 0.3s;
}

.xn_cuenta_contenedor__menu>div:hover>img {
    filter: invert(1);
}

.xn_cuenta_contenedor__menu img {
    max-width: 40px;
    /* margin: 5px; */
}

.xn_cuenta_contenedor__menu-cuenta,
.xn_cuenta_contenedor__menu-usuarios,
.xn_cuenta_contenedor__menu-cotizaciones,
.xn_cuenta_contenedor__menu-pedidos,
.xn_cuenta_contenedor__menu-facturas,
.xn_cuenta_contenedor__menu-esd,
.xn_cuenta_contenedor__menu-comprobantes {
    display: flex;
    align-items: center;
}

.xn_cuenta_contenedor__menu-cuenta>span,
.xn_cuenta_contenedor__menu-usuarios>span,
.xn_cuenta_contenedor__menu-cotizaciones>span,
.xn_cuenta_contenedor__menu-pedidos>span,
.xn_cuenta_contenedor__menu-facturas>span,
.xn_cuenta_contenedor__menu-esd>span,
.xn_cuenta_contenedor__menu-comprobantes>span {
    margin-left: 15px;
    font-size: 14px;
}

.xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-usuario {
    grid-area: mi_usuario;
    margin-bottom: 20px;
}

.xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-usuario>label {
    font-weight: bold;
    font-size: 16px;
}

.xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-cuenta {
    grid-area: mi_cuenta;
    display: flex;
    align-items: center;
}

.xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-usuarios {
    grid-area: mis_usuarios;
}

.xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-cotizaciones {
    grid-area: mis_cotizaciones;
}

.xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-pedidos {
    grid-area: mis_pedidos;
}

.xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-facturas {
    grid-area: mis_facturas;
}

.xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-esd {
    grid-area: mis_esd;
}
.xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-comprobantes {
    grid-area: mis_comprobantes;
}

.xn_cuenta_contenedor__usuario {
    grid-area: cuenta_panel;
    padding: 15px;
    display: grid;
    grid-template-areas: "panel_titulo" "panel_busqueda" "panel_tabla";
    grid-auto-rows: min-content;
    overflow-x: scroll;
}

.xn_cuenta_contenedor__usuario .xn_cuenta_contenedor__usuario-filtros {
    display: flex;
    justify-content: flex-end;
}

.xn_cuenta_contenedor__usuario .xn_cuenta_contenedor__usuario-filtros>div {
    padding: 5px;
}

.xn_cuenta_contenedor__usuario .xn_cuenta_contenedor__usuario-filtros>div>input {
    border-radius: 5px;
    vertical-align: -webkit-baseline-middle;
}

.xn_cuenta_contenedor__usuario .xn_cuenta_contenedor__usuario-filtros>div>span {
    vertical-align: -webkit-baseline-middle;
}


/* TABLA */

.xn_cuenta_contenedor__usuario .xn_usuario_tabla>table>thead>tr {
    background-color: rgb(0 158 227)!important;
}

.xn_cuenta_contenedor__usuario .xn_usuario_tabla>table>thead>tr>th,
.xn_cuenta_contenedor__usuario .xn_usuario_tabla>table>tbody>tr>td {
    border: none!important;
}

.xn_cuenta_contenedor__usuario .xn_usuario_tabla>table>tbody>tr:nth-child(odd) {
    background-color: #f1f0f0;
}


/* VENTANA AGREGAR */

.xn_ventana_carrito_cotizador {
    position: relative;
    background-color: white;
    display: grid;
    max-width: 80vw;
    max-height: calc(90vh - 78px);
    border-radius: 3px;
    padding: 20px;
    overflow: auto;
    padding-top: 35px;
}

.ventana_cotizar__header {
    display: grid;
    grid-template: 1fr/500px 1fr 1fr 1fr;
    text-align: center;
    background-color: rgb(0 158 227);
    font-size: 14px;
    border-radius: 3px 3px 0px 0px;
    grid-gap: 5px;
}

.ventana_cotizar__header>span {
    padding: 5px;
    color: white;
}

.ventana_cotizar__body {
    display: grid;
    grid-template: 1fr/ 100px 100px 300px 1fr 1fr 1fr;
    grid-template-areas: "producto_img producto_sku producto_nombre producto_cantidad producto_almacen producto_stock";
    margin: 0;
    grid-gap: 5px;
    align-items: center;
    justify-items: center;
    font-size: 14px;
}

.ventana_cotizar__body>div,
.ventana_cotizar__body>div>select {
    width: 100%;
    text-align: center;
    padding: 0px 8px
}

.ventana_cotizar__guardar {
    margin-top: 20px;
}

.ventana_cotizar__guardar>button:hover {
    background-color: rgba(254, 88, 1, 1.00);
    color: white;
}

.ventana_cotizar__guardar>button {
    border: none;
    padding: 8px 10px;
    display: flex;
    justify-content: center;
    box-shadow: inset 0px 0px 2px 0px rgb(0 0 0 / 60%);
    border-radius: 2px;
    color: black;
    background-color: white;
    /* font-size: 16px; */
    transition: background .3s;
    float: right;
    cursor: pointer;
    align-items: center;
}

.ventana_cotizar__guardar>button>picture>img {
    width: 18px;
    height: 18px;
    display: inline-block;
    filter: invert(1);
    margin-left: 16px;
}

.ventana_cotizar__guardar>button:hover img {
    filter: invert(0);
}


/*MODAL DESCARGAS DIGITALES*/

.ventana_descarga__formulario {
    display: grid;
    /* grid-template: 1fr 1fr 1fr 1fr 1fr 1fr/1fr 1fr; */
    grid-gap: 10px;
    width: 400px;
}

.ventana_descarga__formulario div>input {
    padding: 8px 10px;
    border-radius: 5px;
    display: block;
    line-height: 1px;
    color: #555555;
    background-color: #fff;
    border: 1px solid #ccc;
    width: 90%;
}

.ventana_agregar__guardar {
    text-align: right;
    overflow: hidden;
    padding: 18px 0;
}

.ventana_agregar__guardar>button {
    border: none;
    padding: 8px 18px;
    display: flex;
    justify-content: center;
    box-shadow: inset 0px 0px 2px 0px rgb(0 0 0 / 60%);
    border-radius: 2px;
    color: black;
    background-color: white;
    font-size: 16px;
    transition: background .3s;
    float: right;
    cursor: pointer;
}

.ventana_agregar__guardar>button>picture>img {
    width: 18px;
    height: 18px;
    display: inline-block;
    filter: invert(1);
    margin-left: 16px;
}

.ventana_agregar__guardar>button:hover {
    background-color: rgba(254, 88, 1, 1.00);
    color: white;
    cursor: pointer;
}

.ventana_agregar__guardar>button:hover img {
    filter: invert(0);
}

.ventana_descarga__titulo {
    text-align: center;
}


/* VER LICENCIAS */

.ventana_descarga__licencias {
    text-align: center;
    padding: 0px 20px;
    margin-bottom: 20px;
    width: 300px;
}

.ventana_descarga__licencias>h1 {
    margin: 0px;
    font-size: 25px;
}

.ventana_descarga__licencias>div {
    padding: 8px;
    display: block;
}


/* REENVIAR LICENCIA */

.ventana_descarga__reenviar-header {
    display: grid;
    grid-template: 1fr/ 1fr 1fr 1fr ;
    text-align: center;
    background-color: rgb(0 158 227);
    font-size: 16px;
    border-radius: 3px 3px 0px 0px;
    grid-gap: 5px;
}

.ventana_descarga__reenviar-header>span,
.ventana_descarga__licencia-header>span {
    padding: 5px;
    color: white;
}

.ventana_descarga__body {
    display: grid;
    grid-template: 1fr/ 1fr 1fr 1fr ;
    margin: 0;
    grid-gap: 5px;
    align-items: center;
    justify-items: center;
    font-size: 14px;
    padding: 20px 0px;
    border-bottom: 1px solid #ddd;
}

.ventana_descarga__body>div,
.ventana_descarga__licencia-body>div {
    width: 100%;
    text-align: center;
    padding: 0px 8px;
}

.ventana_descarga__buttons {
    display: flex;
    justify-content: space-between;
    /* justify-self: end; */

}
.ventana_descarga__licencia-header{
    display: grid;
    grid-template: 1fr/ min-content 1fr 1fr;
    text-align: center;
    background-color: rgb(0 158 227);
    font-size: 16px;
    border-radius: 3px 3px 0px 0px;
    grid-gap: 5px;
}
.ventana_descarga__licencia-body {
    display: grid;
    grid-template: 1fr/ min-content max-content 1fr;
    margin: 0;
    grid-gap: 5px;
    align-items: center;
    justify-items: center;
    font-size: 14px;
    padding: 20px 0px;
    border-bottom: 1px solid #ddd;
}




/* RESPONSIVE */

@media (min-width: 250px) and (max-width: 480px) {
    /* MIS COTIZACIONES */
    .xn_cuenta_contenedor {
        display: grid;
        grid-template: auto / 1fr;
        grid-template-areas: "cuenta_menu" "cuenta_panel";
    }
    .xn_cuenta_contenedor .xn_cuenta_contenedor__menu {
        grid-area: cuenta_menu;
        display: grid;
        grid-template-areas: "mi_usuario mi_usuario mi_usuario" "mi_cuenta mis_usuarios mis_cotizaciones"" mis_pedidos mis_facturas mis_esd" "mis_comprobantes  .  .";
    }
    .xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-cuenta,
    .xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-usuarios,
    .xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-cotizaciones,
    .xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-pedidos,
    .xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-facturas,
    .xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-esd ,
    .xn_cuenta_contenedor__menu .xn_cuenta_contenedor__menu-comprobantes {
        flex-direction: column;
        text-align: center;
    }
    .xn_cuenta_contenedor__menu-cuenta>span,
    .xn_cuenta_contenedor__menu-usuarios>span,
    .xn_cuenta_contenedor__menu-cotizaciones>span,
    .xn_cuenta_contenedor__menu-pedidos>span,
    .xn_cuenta_contenedor__menu-facturas>span,
    .xn_cuenta_contenedor__menu-esd>span,
    .xn_cuenta_contenedor__menu-comprobantes>span {
        margin-left: 0;
    }
    .xn_usuario_tabla table {
        width: 100%;
    }
    .xn_usuario_tabla thead {
        display: none;
    }
    .xn_usuario_tabla tr:nth-of-type(2n) {
        background-color: inherit;
    }
    /* .xn_usuario_tabla tr td:first-child {
    background: #f0f0f0;
    font-weight: bold;
    font-size: 1.3em;
} */
    .xn_usuario_tabla tbody td {
        display: block;
        text-align: center;
    }
    .xn_usuario_tabla tbody td:before {
        content: attr(data-label);
        display: block;
        text-align: center;
    }
    .xn_usuario_tabla tbody td:nth-of-type(1):before {
        content:  attr(data-label);
    }
    .xn_usuario_tabla tbody td:nth-of-type(2):before {
        content:  attr(data-label);
    }
    .xn_usuario_tabla tbody td:nth-of-type(3):before {
        content:  attr(data-label);
    }
    .xn_usuario_tabla tbody td:nth-of-type(4):before {
        content:  attr(data-label);
    }
    .xn_usuario_tabla tbody td:nth-of-type(5):before {
        content:  attr(data-label);
    }





    .xn_cuenta_contenedor__usuario .xn_cuenta_contenedor__usuario-filtros {
        flex-direction: column;
    }
}